# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           blockerbugs
Version:        0.3.0.2
Release:        1%{?dist}
Summary:        Fedora QA Blocker Tracking Application

License:        GPLv2+
URL:            https://fedorahosted.org/fedora-qa
Source0:        http://git.fedorahosted.org/cgit/blockerbugs.git/snapshot/blockerbugs-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
Requires:       python-flask-sqlalchemy
Requires:       python-flask-wtf
Requires:       python-fedora
Requires:       python-fedora-flask
Requires:       python-alembic
Requires:       python-psycopg2
Requires:       python-bugzilla >= 0.8
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-bunch
BuildRequires:  python-flask
BuildRequires:  python-flask-sqlalchemy
BuildRequires:  python-fedora-flask
BuildRequires:  python-mock

# python-sqlalchemy is too old on el6 but required on fedora
# At the moment, there is no el6 build of python-dingus
%if 0%{?rhel}
Requires:       python-sqlalchemy0.7
BuildRequires:  python-sqlalchemy0.7
BuildRequires:  python-sphinx10
%else
Requires:       python-sqlalchemy
BuildRequires:  python-sqlalchemy
BuildRequires:  python-dingus
BuildRequires:  python-sphinx
%endif


%description
The blocker tracking app is a web front end to the currently proposed blocker
and freeze exception bugs for Fedora releases under development.

%prep
%setup -q

# disabling check on el6 until there is a dingus build available
%if 0%{?rhel}
#%check
#%{__python} setup.py test
%else
%check
%{__python} setup.py test
%endif


%build
%{__python} setup.py build

# build docs using sphinx-1.0 on el6
%if 0%{?rhel}
sphinx-1.0-build  -b html -d docs/_build/doctrees docs/source docs/_build/html
sphinx-1.0-build  -b man -d docs/_build/doctrees docs/source docs/_build/man
%else
sphinx-build  -b html -d docs/_build/doctrees docs/source docs/_build/html
sphinx-build  -b man -d docs/_build/doctrees docs/source docs/_build/man
%endif


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# alembic stuff
mkdir -p %{buildroot}%{_datadir}/blockerbugs
cp -r alembic %{buildroot}%{_datadir}/blockerbugs/.
cp alembic.ini %{buildroot}%{_datadir}/blockerbugs/.

# apache config and wsgi stuff
mkdir -p %{buildroot}%{_datadir}/blockerbugs/conf
cp conf/blockerbugs.conf %{buildroot}%{_datadir}/blockerbugs/conf/.
cp conf/blockerbugs.cron.example %{buildroot}%{_datadir}/blockerbugs/conf/.
cp conf/blockerbugs.wsgi %{buildroot}%{_datadir}/blockerbugs/.

# configuration file
mkdir -p %{buildroot}%{_sysconfdir}/blockerbugs
install conf/settings.py.example %{buildroot}%{_sysconfdir}/blockerbugs/settings.py.example

# man page for CLI
mkdir -p %{buildroot}/%{_mandir}/man1/
cp -v docs/_build/man/*.1 %{buildroot}/%{_mandir}/man1/


%pre

# add a user and group mostly for running the cron job
%{_sbindir}/groupadd -r %{name} &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d %{_datadir}/%{name} -M \
                     -c 'Blocker Tracking App' -g %{name} %{name} &>/dev/null || :


%files
%doc docs/_build/html/*
%doc %{_mandir}/man1/blockerbugs*

%{python_sitelib}/*

%attr(755,root,root) %{_bindir}/blockerbugs
%dir %{_sysconfdir}/blockerbugs
%{_sysconfdir}/blockerbugs/*
%dir %{_datadir}/blockerbugs
%{_datadir}/blockerbugs/*


%changelog
* Thu May 30 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.2-1
- fixing sync trigger on component rename (#330) and full sync

* Tue Apr 30 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.1-1
- Several minor visual fixes and fixing the admin page rendering

* Tue Apr 23 2013 Tim Flink <tflink@fedoraproject.org> - 0.3.0.0-1
- Made some minor visual changes for 0.3 release

* Thu Apr 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.4-1
- Added a visually obvious staging configuration

* Thu Apr 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.3-2
- Added the blockerbugs group for user creation

* Thu Apr 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.3-1
- Fixed a few minor bugs in the proposal process and cleaned up a template

* Wed Apr 10 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.2-1
- Centralized logging setup, changed logger creation and added syslog logger option
- Added blockerbugs user for cron job running

* Fri Mar 29 2013 Martin Krizek <mkrizek@fedoraproject.org> - 0.2.7.1-2
- Added log file location

* Mon Mar 25 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.1-1
- Fixed issue with cli utility using incorrect variable names

* Mon Mar 25 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.7.0-1
- Merged in bugzilla account integration and blocker proposal functionality

* Wed Mar 13 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.2-2
- Changed el6 build to use sphinx 1.0 for manpage generation support

* Tue Mar 12 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.2-1
- Added manpage for blockerbugs cli
- Enabled check for fedora, need build of python-dingus on el6

* Mon Mar 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.1-3
- Updated default value for bugzilla cookie

* Mon Mar 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.1-2
- Changed config file generation to installation of example

* Mon Mar 11 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6.1-1
- New upstream version with fewer dependencies and added example cron job

* Wed Mar 6 2013 Tim Flink <tflink@fedoraproject.org> - 0.2.6-1
- Initial package for the blocker tracking app
